For Developers
Get Attendance Flag
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/attendance_flags/:attendance_flag_id
Retrieve information about a specific Attendance Flag.
Request Parameters
| Parameter | Location | Type | Description |
|---|---|---|---|
attendance_flag_id | url | string | The UUID of the desired Attendance Flag. |
Sample Request
axios.get('https://ed.link/api/v2/graph/attendance_flags/00000000-0000-0000-0000-000000000000', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": {
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"code": "ISS1",
"name": "In-School Suspension",
"description": "The student was held in in-school suspension.",
"mapping": "in_school_suspension"
},
"$request": "00000000-0000-0000-0000-000000000000"
}